# PSF-LoginServer - master - net.psforever.objects.zones.blockmap.SectorListOf
PSF - LoginServer - master - net.psforever.objects.zones.blockmap.SectorListOf
Keywords: PSF LoginServer master net.psforever.objects.zones.blockmap.SectorListOf

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- BlockMap
- BlockMapEntity
- BlockMapEntry
- Sector
- SectorGroup
- SectorListOf
- SectorPopulation
- SectorTraits

c

net.psforever.objects.zones.blockmap

# SectorListOf

###

#### class SectorListOf[A] extends AnyRef

Custom lists of entities for sector buckets.

A

  the type of object that will be the entities stored in the list

Source
  Sector.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SectorListOf
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SectorListOf(eqFunc: (A, A) => Boolean = (a: A, b: A) => a equals b)

   eqFunc

     a custom equivalence function to distinguish between the entities in the list

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addTo(elem: A): List[A]

   Insert the entity into the list as long as it cannot be found in the list according to the custom equivalence function.

   Insert the entity into the list as long as it cannot be found in the list according to the custom equivalence function.

   elem

     the entity

   returns

     a conventional list of entities

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def list: List[A]

    Cast this specialized list of entities into a conventional list of entities.

    Cast this specialized list of entities into a conventional list of entities.

    returns

      a conventional list of entities

14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def removeFrom(elem: A): List[A]

    Remove the entity from the list as long as it can be found in the list according to the custom equivalence function.

    Remove the entity from the list as long as it can be found in the list according to the custom equivalence function.

    elem

      the entity

    returns

      a conventional list of entities

18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped